spheremonics(6x)

NAME
spheremonics - 3d spherical harmonic shapes.

SYNOPSIS
spheremonics [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--duration number] [--resolution number] [--wander] [--no-spin] [--spin [XYZ]] [--wireframe] [--no-smooth] [--no-grid] [--bbox] [--fps]

DESCRIPTION
These closed objects are commonly called spherical harmonics, although they are only remotely related to the mathematical definition found in the solution to certain wave functions, most notable the eigenfunctions of angular momentum operators.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

--duration number
    Duration. 5 - 1000. Default: 100.

--resolution number
    Resolution. 5 - 100. Default: 64.

--wander | --no-wander
    Whether the object should wander around the screen.

--spin [XYZ]
    Around which axes should the object spin?

--no-spin
    Don't spin.

--wireframe
    Render in wireframe instead of solid.

--smooth | --no-smooth
    Smoothed Lines. Boolean.

--grid | --no-grid
    Draw Grid. Boolean.

--bbox | --no-bbox
    Draw Bounding Box. Boolean.

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Paul Bourke and Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Paul Bourke and Jamie Zawinski.